org.eclipse.viatra.transformation.debug.model.transformationstate

## Class TransformationModelElement

- java.lang.Object
- - org.eclipse.viatra.transformation.debug.model.transformationstate.TransformationModelElement

- All Implemented Interfaces:
    java.io.Serializable

      public class TransformationModelElement
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `TYPE_ATTR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TransformationModelElement()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAttribute(java.lang.String name, java.lang.String value)`
    `void` | `addContainedElement(java.lang.String name, TransformationModelElement value)`
    `void` | `addCrossReference(java.lang.String name, TransformationModelElement value)`
    `void` | `addEmptyContainment(java.lang.String name)`
    `void` | `addEmptyCrossReference(java.lang.String name)`
    `java.lang.String` | `getAttribute(java.lang.String name)`
    `java.util.Map<java.lang.String,java.lang.String>` | `getAttributes()`
    `java.util.List<TransformationModelElement>` | `getChildren()`
    `java.util.Collection<TransformationModelElement>` | `getContainedElement(java.lang.String name)`
    `java.util.Map<java.lang.String,java.util.List<TransformationModelElement>>` | `getContainments()`
    `java.util.Collection<TransformationModelElement>` | `getCrossReference(java.lang.String name)`
    `java.util.Map<java.lang.String,java.util.List<TransformationModelElement>>` | `getCrossReferences()`
    `java.util.UUID` | `getId()`
    `java.lang.String` | `getNameAttribute()`
    `java.lang.String` | `getTypeAttribute()`
    `boolean` | `isLoaded()`
    `void` | `setContainedElements(java.util.Map<java.lang.String,java.util.List<TransformationModelElement>> containedElements)`
    `void` | `setCrossReferences(java.util.Map<java.lang.String,java.util.List<TransformationModelElement>> crossReferences)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### TYPE_ATTR

          public static final java.lang.String TYPE_ATTR

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### TransformationModelElement

          public TransformationModelElement()

  - ### Method Detail

    - #### getId

          public java.util.UUID getId()

    - #### isLoaded

          public boolean isLoaded()

    - #### getAttribute

          public java.lang.String getAttribute(java.lang.String name)

    - #### getAttributes

          public java.util.Map<java.lang.String,java.lang.String> getAttributes()

    - #### addAttribute

          public void addAttribute(java.lang.String name,
                                   java.lang.String value)

    - #### getCrossReference

          public java.util.Collection<TransformationModelElement> getCrossReference(java.lang.String name)

    - #### addEmptyCrossReference

          public void addEmptyCrossReference(java.lang.String name)

    - #### addCrossReference

          public void addCrossReference(java.lang.String name,
                                        TransformationModelElement value)

    - #### getCrossReferences

          public java.util.Map<java.lang.String,java.util.List<TransformationModelElement>> getCrossReferences()

    - #### getContainedElement

          public java.util.Collection<TransformationModelElement> getContainedElement(java.lang.String name)

    - #### addEmptyContainment

          public void addEmptyContainment(java.lang.String name)

    - #### addContainedElement

          public void addContainedElement(java.lang.String name,
                                          TransformationModelElement value)

    - #### getContainments

          public java.util.Map<java.lang.String,java.util.List<TransformationModelElement>> getContainments()

    - #### getChildren

          public java.util.List<TransformationModelElement> getChildren()

    - #### setCrossReferences

          public void setCrossReferences(java.util.Map<java.lang.String,java.util.List<TransformationModelElement>> crossReferences)

    - #### setContainedElements

          public void setContainedElements(java.util.Map<java.lang.String,java.util.List<TransformationModelElement>> containedElements)

    - #### getNameAttribute

          public java.lang.String getNameAttribute()

    - #### getTypeAttribute

          public java.lang.String getTypeAttribute()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`